### Home Classes Methods

### In Files

- lib/shoulda/helpers.rb

### Methods

- #report!

### Files

- CONTRIBUTION_GUIDELINES.rdoc
- README.rdoc

### Class/Module Index

Quicksearch

- Shoulda
- Shoulda::ActionController
- Shoulda::ActionController::Macros
- Shoulda::ActionController::Matchers
- Shoulda::ActionMailer
- Shoulda::ActionMailer::Assertions
- Shoulda::ActionMailer::Matchers
- Shoulda::ActiveRecord
- Shoulda::ActiveRecord::Assertions
- Shoulda::ActiveRecord::Helpers
- Shoulda::ActiveRecord::Macros
- Shoulda::ActiveRecord::Matchers
- Shoulda::Assertions
- Shoulda::ClassMethods
- Shoulda::Helpers
- Shoulda::InstanceMethods
- Shoulda::Macros
- ActionController
- Test

No matching classes.

# Shoulda::Helpers

### Public Instance Methods

report!(msg = "") click to toggle source

Prints a message to stdout, tagged with the name of the calling method.

    # File lib/shoulda/helpers.rb, line 4
    def report!(msg = "")
      puts("#{caller.first}: #{msg}")
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.